### Home Classes Methods

### In Files

- lib/dbi/exceptions.rb

### Parent

DBI::Error

### Methods

- ::new

### Files

- README

### Class/Module Index

Quicksearch

- DBI
- DBI::BaseDatabase
- DBI::BaseDriver
- DBI::BaseStatement
- DBI::Binary
- DBI::ColumnInfo
- DBI::DataError
- DBI::DatabaseError
- DBI::DatabaseHandle
- DBI::Date
- DBI::DriverHandle
- DBI::Error
- DBI::Handle
- DBI::HandleTracer
- DBI::IntegrityError
- DBI::InterfaceError
- DBI::InternalError
- DBI::NotImplementedError
- DBI::NotSupportedError
- DBI::OperationalError
- DBI::ProgrammingError
- DBI::Row
- DBI::SQL
- DBI::SQL::PreparedStatement
- DBI::StatementHandle
- DBI::Time
- DBI::Timestamp
- DBI::Type
- DBI::Type::Boolean
- DBI::Type::Decimal
- DBI::Type::Float
- DBI::Type::Integer
- DBI::Type::Null
- DBI::Type::Timestamp
- DBI::Type::Varchar
- DBI::TypeUtil
- DBI::Utils
- DBI::Utils::ConvParam
- DBI::Utils::TableFormatter
- DBI::Utils::XMLFormatter
- DBI::Warning
- Class

No matching classes.

# DBI::DatabaseError

Exception for errors related to the database.

### Attributes

err[R]
errstr[R]
state[R]

### Public Class Methods

new(errstr="", err=nil, state=nil) click to toggle source

    # File lib/dbi/exceptions.rb, line 26
    def initialize(errstr="", err=nil, state=nil)
        super(errstr)
        @err, @errstr, @state = err, errstr, state
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.